# ---------------------------------------------------------------------------
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ---------------------------------------------------------------------------
apiVersion: camel.apache.org/v1
kind: Kamelet
metadata:
  name: ssh-sink
  annotations:
    camel.apache.org/kamelet.support.level: "Stable"
    camel.apache.org/catalog.version: "4.10.2"
    camel.apache.org/kamelet.icon: "data:image/svg+xml;base64,[encoded data, 4556 characters]"
    camel.apache.org/provider: "Apache Software Foundation"
    camel.apache.org/kamelet.group: "SSH"
    camel.apache.org/kamelet.namespace: "File"
  labels:
    camel.apache.org/kamelet.type: "sink"
spec:
  definition:
    title: "SSH Sink"
    description: |-
      Send command through SSH session.
    required:
      - connectionHost
      - connectionPort
      - username
      - password
    type: object
    properties:
      connectionHost:
        title: Connection Host
        description: The SSH Host
        type: string
      connectionPort:
        title: Connection Port
        description: The SSH Port
        type: string
        default: 22
      username:
        title: Username
        description: The SSH username to use
        type: string
        x-descriptors:
        - urn:camel:group:credentials
      password:
        title: Password
        description: The SSH password to use
        type: string
        format: password
        x-descriptors:
        - urn:camel:group:credentials
  types:
    in:
      mediaType: text/plain
    out:
      mediaType: text/plain
  dependencies:
    - "camel:ssh"
    - "camel:gson"
    - "camel:kamelet"
  template:
    from:
      uri: "kamelet:source"
      steps:
      - to: 
          uri: "ssh://{{connectionHost}}:{{connectionPort}}"
          parameters:
            username: "{{username}}"
            password: "{{password}}"